OffsetTermCompare Class Reference

## Public Member Functions

| OffsetTermCompare (const BigIdeal &ideal)
bool | operator() (size_t aa, size_t bb) const

## Private Member Functions

void | operator= (const OffsetTermCompare &)

## Private Attributes

const BigIdeal & | _ideal

## Detailed Description

Definition at line 28 of file BigIdeal.cpp.

## Constructor & Destructor Documentation

## OffsetTermCompare()

OffsetTermCompare::OffsetTermCompare | ( | const BigIdeal & | ideal | ) |

inline

Definition at line 30 of file BigIdeal.cpp.

## Member Function Documentation

## operator()()

bool OffsetTermCompare::operator() | ( | size_t | aa,
|  | size_t | bb ) const

inline

Definition at line 33 of file BigIdeal.cpp.

## operator=()

void OffsetTermCompare::operator= | ( | const OffsetTermCompare & |  | ) |

private

## Member Data Documentation

## _ideal

const BigIdeal& OffsetTermCompare::_ideal

private

Definition at line 50 of file BigIdeal.cpp.

The documentation for this class was generated from the following file:

- src/BigIdeal.cpp